%global __os_install_post %{nil}

Summary: SMNT EndPoint Monitor Controller
Name: endpointmonitor-controller
Version: 0.4.1.0
Release: 37
BuildArch: noarch
License: SMNT - Not for resale
Requires: java-17-openjdk
Source: /home/endPointMonitor/package/

%description
SMNT EndPoint Monitor Controller

%build

%install
getent group endPointMonitor > /dev/null 2>&1 || groupadd endPointMonitor
getent passwd endPointMonitor > /dev/null 2>&1 || useradd -s /usr/bin/bash -g endPointMonitor --create-home endPointMonitor
cp -r /home/endPointMonitor/package/* $RPM_BUILD_ROOT/
mkdir -p /var/log/endPointMonitor
chown endPointMonitor:endPointMonitor /var/log/endPointMonitor

%pre
getent group endPointMonitor > /dev/null 2>&1 || groupadd endPointMonitor
getent passwd endPointMonitor > /dev/null 2>&1 || useradd -s /usr/bin/bash -g endPointMonitor --create-home endPointMonitor

%post
ln -fs /opt/smnt/endPointMonitor/config/endPointMonitor.service /etc/systemd/system/endPointMonitor.service
ln -fs /opt/smnt/endPointMonitor/releases/EndPointMonitor-0.4.1.0.war /opt/smnt/endPointMonitor/EndPointMonitor.war
systemctl enable endPointMonitor

%preun
systemctl stop endPointMonitor
systemctl disable endPointMonitor
rm -f /etc/systemd/system/endPointMonitor.service

%files
%defattr(-, endPointMonitor, endPointMonitor, 775)
%exclude %dir /
%exclude %dir /opt
/

%clean
rm -rf /opt/smnt/endPointMonitor